Module org.jfree.chart3d
Package org.jfree.chart3d.renderer.category

# Class StandardCategoryColorSource

java.lang.Object
org.jfree.chart3d.renderer.category.StandardCategoryColorSource

All Implemented Interfaces:
  `Serializable`, `CategoryColorSource`

public class StandardCategoryColorSource extends Object implements CategoryColorSource, Serializable
A standard implementation of the `CategoryColorSource` interface.
NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`StandardCategoryColorSource()`
Creates a new instance with default colors.
`StandardCategoryColorSource(Color... colors)`
Creates a new instance with the supplied sequence of colors.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Tests this color source for equality with an arbitrary object.
`Color`
`getColor(int series, int row, int column)`
Returns the color to use for the specified item.
`Color`
`getLegendColor(int series)`
Returns the color to use in the legend for the specified series.
`int`
`hashCode()`
`void`
`style(Color... colors)`
Restyles the source using the specified colors.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StandardCategoryColorSource

public StandardCategoryColorSource()
Creates a new instance with default colors.

### StandardCategoryColorSource

public StandardCategoryColorSource(Color... colors)
Creates a new instance with the supplied sequence of colors. The supplied array must have at least one entry, and all entries must be non-`null`.

Parameters:
  `colors` - the colors (`null` not permitted).

## Method Details

### getColor

public Color getColor(int series, int row, int column)
Returns the color to use for the specified item.

Specified by:
  `getColor` in interface `CategoryColorSource`
Parameters:
  `series` - the series index.
  `row` - the row index.
  `column` - the column index.
Returns:
  The color (never `null`).

### getLegendColor

public Color getLegendColor(int series)
Returns the color to use in the legend for the specified series.

Specified by:
  `getLegendColor` in interface `CategoryColorSource`
Parameters:
  `series` - the series index.
Returns:
  The color (never `null`).

### style

public void style(Color... colors)
Restyles the source using the specified colors. Refer to the implementing class to confirm the precise behaviour (typically all existing color settings are cleared and the specified colors are installed as the new defaults).

Specified by:
  `style` in interface `CategoryColorSource`
Parameters:
  `colors` - the colors.
Since:
  1.2

### equals

public boolean equals(Object obj)
Tests this color source for equality with an arbitrary object.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`